Bug 205845 - games/nethack32: Modernize pkg-plist, convert to options helper
Summary: games/nethack32: Modernize pkg-plist, convert to options helper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lewis
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-01-03 16:40 UTC by Pawel Pekala
Modified: 2016-01-07 16:59 UTC (History)
0 users

See Also:
pawel: maintainer-feedback+


Attachments
@dirrm & other fixes (1.58 KB, patch)
2016-01-03 16:40 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2016-01-03 16:40:56 UTC
Created attachment 165011 [details]
@dirrm & other fixes

- Modernize pkg-plist, remove deprecated @dirrm
- Convert to options helper
Comment 1 Greg Lewis freebsd_committer 2016-01-06 20:34:43 UTC
Looks ok to me.  What testing have you done?
Comment 2 Pawel Pekala freebsd_committer 2016-01-06 21:13:53 UTC
- poudrriere builds on 9.3, 10.1, developed on 11.0-CURRENT including
  testing changed options (on/off)
- manual checks if ownership match after installation on my system
- runtime check, seems to work (not familiar with this software)
Comment 3 Greg Lewis freebsd_committer 2016-01-07 01:18:29 UTC
Thanks Pawel.  Go ahead and check it in then.
Comment 4 commit-hook freebsd_committer 2016-01-07 16:52:33 UTC
A commit references this bug:

Author: pawel
Date: Thu Jan  7 16:51:39 UTC 2016
New revision: 405472
URL: https://svnweb.freebsd.org/changeset/ports/405472

Log:
  - Modernize pkg-plist, remove deprecated @dirrm
  - Convert to options helper

  PR:		205845
  Submitted by:	myself
  Approved by:	maintainer

Changes:
  head/games/nethack32/Makefile
  head/games/nethack32/pkg-plist